Subject: Re: bug#751: Update: crash due to fvwm window manager crash

From: Mark Hindley <[email-masked]>
Date: Wed, 15 Mar 2023 07:18:14 +0000

Stefan,

On Tue, Mar 14, 2023 at 11:16:01PM +0100, Stefan Schippers wrote:
> Hi, Mark
> 
> Thank you for the info.
> 
> I confirm that downgrading the following packages to 1.8.3-3:
> 
> libx11-6
> libx11-data
> libx11-dev
> libx11-xcb-dev
> libx11-xcb1
> 
> fixes completely my (fvwm) window manager crashes.

Good to know, thanks

> I have marked on 'hold' the above packages to prevent upgrades until it gets fixed.
> 
> A huge number of packages depend on this library, so I hope the regression will be addressed.

Yes, I am slightly surprised there isn't more noise about it in Debian. But
src:libx11 isn't forked in Devuan so there isn't much else we can do about it
directly.

I suggest you add your gdb trace and workaround to the Debian bug in order to
move this forward.

Thanks

Mark